
CoCoALib - Feature #69

Feature # 39 (Closed): Squarefree factorization

Feature # 43 (Closed): Squarefree factorization - for polynomials

Feature # 44 (Closed): Squarefree factorization -  univariate polynomials

Feature # 46 (Closed): Squarefree factorization -  univariate polynomials, char p > 0

p-th root

20 Dec 2011 11:38 - John Abbott

Status: Closed Start date: 20 Dec 2011

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: New Function Estimated time: 0.00 hour

Target version: CoCoALib-0.9952 Spent time: 0.20 hour

Description

Fields of finite characteristic need a p-th root function.

It won't be easy implementing this in general; the case of a finite field is relatively easy.

Related issues:

Related to CoCoALib - Feature #49: Squarefree factorization - multivariate po... Closed 30 Nov 2011

Related to CoCoALib - Feature #107: Recognizing finite fields Closed 19 Mar 2012

History

#1 - 20 Dec 2011 11:40 - John Abbott

Also want a convenient way of computing p-th roots of polys over a field of finite characteristic.

#2 - 07 May 2012 11:59 - John Abbott

- Status changed from New to Closed

This issue has effectively been replaced by #107.

#3 - 01 Jun 2012 18:31 - Anna Maria Bigatti

- % Done changed from 0 to 100

#4 - 04 Jul 2012 10:48 - Anna Maria Bigatti

- Category set to New Function

- Assignee set to John Abbott

- Target version set to CoCoALib-0.9952
